library github_colors;

import 'dart:convert';
import 'dart:io';

import 'package:path/path.dart';

class GithubColors {

  static Map<String, dynamic> colors;

  static String covert(String language) {
    if (colors == null) {
      String colorsPath = join((dirname(Platform.script.path)), '../lib/colors.json');
      colors = json.decode(new File(colorsPath).readAsStringSync(encoding: utf8));
    }

    return language.isNotEmpty ? colors[language] : null;
  }
}
